package com.eactive.eai.common.logger; 


public class CustomStringBuffer { 
	private StringBuffer sb ;
	private String DELEMITER ;
	public CustomStringBuffer() {
		this.sb = new StringBuffer();
		this.DELEMITER = "#|@";
		
	}    
	public CustomStringBuffer(String delemiter) {
		this.sb = new StringBuffer();
		this.DELEMITER = delemiter;
	}
	public CustomStringBuffer appendAndDelimeter(String data){
		sb.append(data).append(DELEMITER);
		return this;
	}
	public CustomStringBuffer appendAndDelimeter(int data){
		sb.append(Integer.toString(data)).append(DELEMITER);
		return this;
	}
	public CustomStringBuffer append(String data){
		sb.append(data);
		return this;
	}
	public CustomStringBuffer append(int data){
		sb.append(Integer.toString(data));
		return this;
	}
	public String toString(){
		return sb.toString();
	}
	
//	public static void main(String[] args){
//		CustomStringBuffer sb = new CustomStringBuffer();
//		sb.appendAndDelimeter("ABD").append("KKK");
//		System.out.println(sb.toString());
//	}

} 
